Subject: Re: [PATCH] leds: pm8058: Make ledtype pointer sized type

From: Jacek Anaszewski <[email-masked]>
Date: Fri, 1 Dec 2017 21:35:16 +0100

On 12/01/2017 08:56 AM, Lee Jones wrote:
> On Thu, 30 Nov 2017, Jacek Anaszewski wrote:
> 
>> On 11/30/2017 09:31 AM, Lee Jones wrote:
>>> On Thu, 30 Nov 2017, Lee Jones wrote:
>>>
>>>> On Wed, 29 Nov 2017, Bjorn Andersson wrote:
>>>>
>>>>> The pointer returned by of_device_get_match_data() doesn't have the same
>>>>> size as u32 on 64-bit architectures, causing issues when compile testing
>>>>> the driver on such platform. Make ledtype unsigned long instead, to
>>>>> solve this problem.
>>>>>
>>>>> Fixes: 7f866986e705 ("leds: add PM8058 LEDs driver")
>>>>> Cc: Linus Walleij <[email-masked]>
>>>>> Signed-off-by: Bjorn Andersson <[email-masked]>
>>>>> ---
>>>>>  drivers/leds/leds-pm8058.c | 4 ++--
>>>>>  1 file changed, 2 insertions(+), 2 deletions(-)
>>>>
>>>> Hi Bjorn,
>>>>
>>>> (Nice to see you) :)
>>>>
>>>> I'm going to apply this *before* Linus' fix.
>>>>
>>>> Applied, thanks.
>>>
>>> After I rx an Ack from Richard, Jacek or Pavel of course. :)
>>>
>>> Will send a pull-request.
>>
>> Huh? This is for LED subsystem AFAICS.
> 
> Right, hence why I said I'd sent out a pull-request.
> 
> The problem, however, arose due to a change in its parent driver's
> Kconfig entry, which has been applied to the MFD tree.  We need to
> ensure this patch is applied *before* the other 'fix' to quash the
> warning before it starts, so to speak.

Ah, I hadn't seen the MFD patch and understood that you was
talking about pull request for 4.15-rc2, which looked a bit
strange out of context.

For v2:

Acked-by: Jacek Anaszewski <[email-masked]>

-- 
Best regards,
Jacek Anaszewski